using FCOMMON;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FPJ0000
{
    public partial class fHistAddDay : fBase
    {
        dsPRJ.EETGW_ProjecthistoryDRow dr = null;
        public fHistAddDay(dsPRJ.EETGW_ProjecthistoryDRow dr_)
        {
            InitializeComponent();
            this.dr = dr_;
            this.KeyDown += fHistAdd_KeyDown;
        }
  private void fHistAdd_Load(object sender, EventArgs e)
        {
            EnsureVisibleAndUsableSize();
            if (this.dr.IsremarkNull() == false)
                this.tbRemark.Text = this.dr.remark;
            else
                this.tbRemark.Text = string.Empty;

            this.mcDate.SetDate(DateTime.Parse(dr.pdate));
        }

        void fHistAdd_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape) this.Close();
        }

      
        private void btOK_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.dr.remark = tbRemark.Text.Trim();
            this.dr.pdate = mcDate.SelectionStart.ToString("yyyy-MM-dd");
            DialogResult = System.Windows.Forms.DialogResult.OK;
        }
    }
}
